#!/usr/bin/perl

if ( $#ARGV < 0 ) {
    print "Usage: $0 output_file_path\n";
    exit;
}

# Generate times for AWIPS aircraft decoder to read the header.

($sec,$min,$hour,$mday,$mon,$year,$wday,$yday) = gmtime(time);

$frmtmnth = sprintf("%03d", $mon + 1); # add one to var for the right offset ($mon is from 0 to 11)
$frmtyr = sprintf("%03d", $year % 100); # only need last two digits of the year ($year is since 1900)

# format into signed short value with no padding between bytes
$mnthstrng = pack("sX", $frmtmnth);
$yrstrng = pack("sX", $frmtyr);

# Create bogus CCB header
# ------------------------------- YEAR ---- MONTH ----- DAY HOUR MINUTE ------
$ccb = "@\f\0\001RUKWBC\002\0\0\0${yrstrng}${mnthstrng}\001\001\001"."\001KDEN";

# take input filename and make it unique by adding a numeric extension.

$ifile = @ARGV[0];
$ext   = "000";

while ( -e $ifile.".".$ext ) {
    $ext++;
}

# Open output file. 

$file = $ifile.".".$ext;
open ( OUT, ">$file" ) || die "Can't open $file: $!\n";

# skip the first 11 bytes of the message, as this is FOS control stuff.
# The actual WMO header starts at character 12. Print out bogus CCB.

read ( STDIN, $garbage, 11 );

print OUT $ccb;

# echo the rest of the data

while ($bul = <STDIN>) {
    print OUT $bul;
}
