#!/usr/bin/perl

if ( $#ARGV < 0 ) {
    print "Usage: $0 output_file_path\n";
    exit;
}

# Create bogus CCB header

$ccb = "@\f\0\001RUKWBC\001\036\001\001i\n\033\016&\0KDEN";

# take input filename and make it unique by adding a numeric extension.

$ifile = @ARGV[0];
$ext   = "000";

while ( -e $ifile.".".$ext ) {
    $ext++;
}

# Open output file. 

$file = $ifile.".".$ext;
open ( OUT, ">$file" ) || die "Can't open $file: $!\n";

# skip the first 11 bytes of the message, as this is FOS control stuff.
# The actual WMO header starts at character 12. Print out bogus CCB.

read ( STDIN, $garbage, 11 );

print OUT $ccb;

# echo the rest of the data

while ($bul = <STDIN>) {
    print OUT $bul;
}
