#!/usr/bin/perl
#
# -----------------------------------------------------------
# cleantext.pl, Perl, version 1.0, created July 28, 2006
# Programmer:  Jordan Gerth, CIMSS/SSEC - Madison, Wisconsin
# Contact:     Via e-mail at jordan.gerth@noaa.gov
#
# Arguments:   Output file (required to run)
#
# For: NWS/NOAA Text Products
# Use: This script removes certain characters from the top of
# a text product being ingested via the Local Data Manager.
# -----------------------------------------------------------

# Make sure script is run correctly
if ( $ARGV[0] eq "--help" ) {
    print "Try ./cleantext.pl text.in\n";
    exit;
} elsif ( $#ARGV < 0 ) {
    print "Usage:  Output file path\n";
    exit;
}

# Create output file
open ( OUT, ">$ARGV[0]" ) || die "Could not open $ARGV[0]\n";

# Remove characters
read ( STDIN, $waste, 9 );

# Print remaining data
while ($dat = <STDIN>) {
    print OUT $dat;
}

# Close file and exit
close OUT;
exit;
