#!/usr/bin/perl
#
# -----------------------------------------------------------
# removeWMO.pl, Perl, version 1.0, created July 10, 2006
# Programmer:  Jordan Gerth, CIMSS/SSEC - Madison, Wisconsin
# Contact:     Via e-mail at jordan.gerth@noaa.gov
#
# Arguments:   Input file, output file (both required to run)
# Optional Arguments:  move - places in AWIPS queue, cleans
#                      (must be the last argument)
#
# For: Radar Data
# Use: This script removes the WMO header from a NWS/NOAA FTP
# product (input) and allows output to be processed by AWIPS.
# WWW: http://www.nws.noaa.gov/tg/rpccds.html
# -----------------------------------------------------------

# Make sure script is run correctly
if ( $ARGV[0] eq "--help" ) {
    print "Try ./removeWMO.pl sn.last sn.new [move]\n";
    exit;
} elsif ( $#ARGV < 1 ) {
    print "Usage:  Input file path, Output file path\n";
    exit;
}

# Open input and create output file
open ( IND, "$ARGV[0]" ) || die "Could not open $ARGV[0]\n";
open ( OUT, ">$ARGV[1]" ) || die "Could not open $ARGV[1]\n";

# Remove the WMO header
read ( IND, $waste, 30 );

# Print remaining data
while ($dat = <IND>) {
    print OUT $dat;
}

# Drop processed into AWIPS queue; remove file with header
if ( $ARGV[2] eq "move" ) {
    system("mv $ARGV[1] /data/fxa/radar/raw");
    system("rm $ARGV[0]");
}

# Close files and exit
close IND;
close OUT;
exit;
